package pack

import (
	"youngee_b_api/model/common_model"
	"youngee_b_api/model/http_model"

	"github.com/issue9/conv"
)

func HttpTaskDefaultReviewListRequestToCondition(req *http_model.TaskDefaultReviewListRequest) *common_model.TalentConditions {
	return &common_model.TalentConditions{
		ProjectId:     req.ProjectId,
		DefaultStatus: conv.MustInt64(req.DefaultStatus),
		StrategyId:    conv.MustInt64(req.StrategyId),
		// TaskId:           conv.MustString(req.TaskId),
		PlatformNickname: conv.MustString(req.PlatformNickname),
	}
}

func HttpTaskDefaultDataListRequestToCondition(req *http_model.TaskDefaultDataListRequest) *common_model.TalentConditions {
	return &common_model.TalentConditions{
		ProjectId:     req.ProjectId,
		DefaultStatus: conv.MustInt64(req.DefaultStatus),
		StrategyId:    conv.MustInt64(req.StrategyId),
		// TaskId:           conv.MustString(req.TaskId),
		PlatformNickname: conv.MustString(req.PlatformNickname),
	}
}

func HttpTaskTerminatingListRequestToCondition(req *http_model.TaskTerminatingListRequest) *common_model.TalentConditions {
	return &common_model.TalentConditions{
		ProjectId:     req.ProjectId,
		DefaultStatus: conv.MustInt64(req.DefaultStatus),
		StrategyId:    conv.MustInt64(req.StrategyId),
		// TaskId:           conv.MustString(req.TaskId),
		PlatformNickname: conv.MustString(req.PlatformNickname),
	}
}

func HttpTaskTerminatedListRequestToCondition(req *http_model.TaskTerminatedListRequest) *common_model.TalentConditions {
	return &common_model.TalentConditions{
		ProjectId:     req.ProjectId,
		DefaultStatus: conv.MustInt64(req.DefaultStatus),
		StrategyId:    conv.MustInt64(req.StrategyId),
		// TaskId:           conv.MustString(req.TaskId),
		PlatformNickname: conv.MustString(req.PlatformNickname),
	}
}
